Subject: RE: [Capwap] CAPWAP eval team - CTP evaluation

From: Michael Montemurro <[email-masked]>
Date: Wed, 7 Sep 2005 15:50:28 -0400

There are a number of reasons why the CTP protocol relies used SNMP payload
(not SNMP) for WTP configuration:

1) Protocol Administration: The IEEE defines MIB configuration elements with
every amendment to the standard. If the CAPWAP working group adopts an
approach of using the SNMP mib definition for configuration of Access
Points, it means that the group does not have rev TLV's every time there is
a new amendment to the standard. If the MIB does not compile, CAPWAP should
go back to the IEEE to fix the MIB.

Using existing MIB definitions for configuration also allows the CAPWAP
working group to apply the protocol to other wireless technologies without
having to derive new configuration elements.

Contrary to Pat's statement, I would say that most vendors that supply an
SNMP mib with their Access Point use the 802.11 MIB as a basis. Also, I very
much doubt that the CAPWAP working group would make use of 802.11 amendments
prior to them becoming a standard.

Also, if TLV's are adopted for configuration, the CAPWAP working group is
likely going to need to rely on the 802.11 MIB to derive new TLV's.

2) Ease of Implementation: Most, if not all enterprise class AP's have an
SNMP agent. If CAPWAP relies on SNMP payload for configuration, the existing
SNMP agent on the WTP can be used for CAPWAP implementation. 

We have had a lot of success in using this mechanism to port our protocol
across different AP hardware/software platforms. We also have not seen any
problems with regard to processor overhead or network overhead. The size of
a large configuration packet is approximately around 7k, which would not
represent significant network overhead.

This protocol is different from RADIUS and other IETF protocols in that it
is based on work done by another standards body. However if the SNMP
definition has already been done by another standards body, why not use it?

Cheers,

	Mike

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Pat Calhoun (pacalhou)
> Sent: September 7, 2005 12:30 PM
> To: [email-masked]; [email-masked]
> Subject: RE: [Capwap] CAPWAP eval team - CTP evaluation
> 
> > With my eval team member hat off,
> > can I ask how appropriate/feasible/good SNMP would be for Split MAC 
> > WTPs?
> > CTP's use of SNMP stems originally from managing legacy Local MAC 
> > WTPs.
> > Can one easily extend it to Split MAC WTPs?
> > The use of SNMP versus CAPWAP had been discussed earlier in this 
> > mailing list but I forgot what was the conclusion, if any?
> 
> As others have stated, SNMP requires ASN.1, and this 
> therefore imposes significant per packet overhead to each 
> payload attached to a single message. Putting aside CPU 
> overhead this proposal alsowould create much larger packets, 
> and packet size efficiency is actually very important once we 
> start considering the use of CAPWAP over the air, for such 
> things as mesh networks (or 802.11s).
> 
> While the IEEE has defined a MIB, history has shown that the 
> MIBs in question have been largely incomplete. The fact that 
> there is yet an AP MIB means that there is no MIB one could 
> actually use TODAY for CAPWAP.
> So the end result is that every AP vendor out there has their 
> own enterprise specific MIB. Very few products actually make 
> use of the existing MIB, other than as there is work in 
> progress in 802.11v, but this is not expected to complete 
> until Ocotber 2008 (see Group Update/Timelines under 
> http://ieee802.org/11/index.html). So going down this path 
> would require CAPWAP to define the MIBs anyways, eliminating 
> the benefits of reusing IEEE work.
> 
> So I would much prefer that we stick to the tried and true 
> method of AVPs, which has been very successful for such 
> protocols as RADIUS, etc.
> 
> 
> Pat Calhoun
> CTO, Wireless Networking Business Unit
> Cisco Systems
> _______________________________________________
> Capwap mailing list
> [email-masked]
> http://mail.frascone.com/mailman/listinfo/capwap
> 
_______________________________________________
Capwap mailing list
[email-masked]
http://mail.frascone.com/mailman/listinfo/capwap

---

From: Behcet Sarikaya <[email-masked]>
Date: Wed, 07 Sep 2005 13:48:26 -0700

Again with my eval team member hat off, I would like more people to chip 
in, the designers of the other candidate protocols, WG members alike.

Regards,
--behcet